<?
  $client = new user(0,$userId);
  switch ($command) {
    case 'new':
        if ($state == 'insert')  {
          if (!$versnummer or !$rechtskreis) {
              $message = 'F&uuml;llen Sie bitte alle Felder aus' . " $versnummer, $rechtskreis" ;
          } else {
              $fami = new familienversicherte();
              $fami->parentId = $userId;
              $fami->versnummer = $versnummer;
              $fami->rechtskreis = $rechtskreis;
              $fami->typ = $typ;

              if ($versnummer == $client->versnummer) {
                  $message = 'Die angegebene Versichertennummer geh&ouml;rt dem Mitglied selbst. Bitte geben Sie eine Versichertennummer eines Familienmitgliedes ein.';
                  $state = 'edit';
                  $command = 'edit';
              } else {
                  if (! $fami->insert()) {
                      $message = 'Konnte kein Mitglied mit dieser Versichertennummer finden';
                      $state = 'edit';
                      $command = 'edit';
                  } else {
                      $message = 'Das Familienmitglied wurde eingetragen';
                      $command = 'show';
                  }
              }
          } 
        } else {
          $state = 'insert';
        }
        break;

    case 'edit':
        if ($state == 'edit') {
            $fami = new $familienversicherte($famiId);
            $fami->versnummer = $versnummer;
            $fami->rechtskreis = $rechtskreis;
            $fami->typ = $typ;
            $state = 'list';
            $message = 'Das Familienmitglied wurde geaendert';
            $command = 'show';
        } else {
            $state = 'edit';
        }
        break;
    case 'delete':
        $fami = familienversicherte::getByUserId($famiId); 
        if ($fami) {
          $fami->delete();
        }
        $command = 'show';
        break;

    default:
        $command = 'show';
        break;
  }
  if ($command == 'show') {
      $users = Array();
      $famis = $client->getFamilienmitglieder(true);
      foreach ($famis as $fami) {
        $users[] = $fami;
      }
  }
 
?>
    <strong><? if (isset($message)) { print "<br/>$message"; } ?></strong><br/><br/>
<?
  include("views/$module/fami_$command.php");
?>
